> ## Documentation Index
> Fetch the complete documentation index at: https://developers.apartmentiq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Batch Job Results

> Download the results of a completed batch job. Returns a 302 redirect to a pre-signed S3 URL where the file can be downloaded. The pre-signed URL is valid for 7 days. Jobs must have a status of 'succeeded' to download results.



## OpenAPI

````yaml /openapi/v1/schema.json get /bulk_api/jobs/{job_id}/results
openapi: 3.0.3
info:
  title: ApartmentIQ API
  version: 1.14.0
  termsOfService: https://www.getapartmentiq.com/terms
  x-logo:
    url: https://developers.apartmentiq.io/logo.svg
    altText: ApartmentIQ
  description: >-
    ApartmentIQ API providing Accounts, Market Surveys, Markets, Market
    Narratives, and Forecasts endpoints to access accounts, comp sets, market
    survey tables, units, floorplans, and market-based property data. See
    documentation pages for authentication, errors, and rate limits.
servers:
  - url: https://data.apartmentiq.io/apartmentiq/api/v1
security:
  - oauth2: []
tags:
  - name: Accounts
    description: >-
      Endpoints for listing the ApartmentIQ accounts accessible to the
      authenticated user.
  - name: Market Surveys
    description: >-
      Market Survey endpoints can be used to access data related to your market
      surveys within ApartmentIQ. The ApartmentIQ API refers to the list of
      properties within your market surveys as a comp set, or competitive set.
      In the rest of this document, comp set and competitive set will be used
      interchangeably.
  - name: Markets
    description: Endpoints used to access market data.
  - name: Bulk Data Export
    description: >-
      Endpoints for requesting and downloading historical property data through
      asynchronous batch jobs. Submit a job request, monitor its status, and
      download results when ready.
  - name: Forecasts
    description: >-
      Endpoints for retrieving modeled future time-series forecast data for
      geographic boundaries and properties. Forecast data spans from the
      beginning of the current month up to 5 years in the future. Requires
      Explore Pro access.
paths:
  /bulk_api/jobs/{job_id}/results:
    get:
      tags:
        - Bulk Data Export
      summary: Download Batch Job Results
      description: >-
        Download the results of a completed batch job. Returns a 302 redirect to
        a pre-signed S3 URL where the file can be downloaded. The pre-signed URL
        is valid for 7 days. Jobs must have a status of 'succeeded' to download
        results.
      operationId: downloadBatchJobResults
      parameters:
        - name: job_id
          in: path
          description: UUID of the completed batch job.
          required: true
          schema:
            type: string
            format: uuid
          example: ed49987b-6539-4e9e-8a63-2bcd811ef0ec
      responses:
        '302':
          description: Redirect to pre-signed S3 URL for file download
          headers:
            Location:
              description: Pre-signed S3 URL for downloading the results file
              schema:
                type: string
                format: uri
        '400':
          description: The request was invalid or malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid Parameter:
                  value:
                    error: Invalid parameter
                    message: job_id must be a valid UUID
                Job Not Complete:
                  value:
                    error: Invalid operation
                    message: >-
                      Results are not available because the job has not
                      completed successfully
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Unauthorized
                message: Missing or invalid bearer token
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Forbidden
                message: You do not have permission to download results for this job
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Not Found
                message: Job with the specified ID does not exist
components:
  schemas:
    Error:
      type: object
      description: >-
        Error response payload. Most errors include error and optional message;
        some validation responses include errors; quota responses include quota
        fields.
      properties:
        error:
          type: string
          description: Short error message
          example: Invalid parameter
        message:
          type: string
          description: Optional detailed message
          example: account_id is required
        errors:
          type: array
          description: Optional list of validation errors.
          items:
            type: string
        quota_limit:
          type: integer
          description: >-
            Quota limit that applied to the request when an account quota was
            exceeded.
        quota_usage:
          type: integer
          description: Current quota usage when an account quota was exceeded.
  securitySchemes:
    oauth2:
      type: oauth2
      description: >-
        Enter a Bearer token obtained via the OAuth client credentials flow or
        from the Access Tokens tab in your account settings.
      flows:
        clientCredentials:
          tokenUrl: https://data.apartmentiq.io/oauth/token
          scopes: {}

````